/* 
 * Copyright 2009-2015 The VOTCA Development Team (http://www.votca.org)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#include <iostream>
#include <votca_config.h>

#if (GMX == 52)
#include <gromacs/utility/baseversion.h>
#define GromacsVersion gmx_version
#elif (GMX == 50)||(GMX == 51)
#include <gromacs/legacyheaders/copyrite.h>
#elif GMX == 45
#include <gromacs/copyrite.h>
#elif GMX == 40
    extern "C"
    {
        #include <copyrite.h>
    }
#endif

#ifdef GMX
// this one is needed because of bool is defined in one of the headers included by gmx
#undef bool
#endif

using namespace std;

int main(int argc, char** argv)
{
  cout << "static const std::string gmx_version = \""
#ifdef GMX
    << GromacsVersion()
#if (GMX > 51) && (GMX_DOUBLE == 1)
    << " (double precision)"
#elif (GMX < 52) && defined(GMX_DOUBLE)
    << " (double precision)"
#else
    << " (single precision)"
#endif
#else
    << "UNDEFINED"
#endif
  << "\";\n";
  return 0;
}
